Bug 88742 - resume bugs in apmcontinue script
resume bugs in apmcontinue script
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: apmd (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-12 17:27 EDT by rmhristev
Modified: 2015-01-07 19:04 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-02 17:51:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rmhristev 2003-04-12 17:27:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
There are 2 longstanding bugs in the apmcontinue script:
1. ${RESUMEPID}: it should chech that the process actually _do_ exist
   and is not a leftover.
2. I think that /var/lock/subsys/resume should be really overwritten
    appended to. (normally there should be no several resume processes
    running in parallel)

Version-Release number of selected component (if applicable):
apmd-3.0.2-18

How reproducible:
Sometimes

Steps to Reproduce:
If the previous suspend/resume cycle did not completed correctly
then it may happen.

Actual Results:  The resume process hangs in a "waiting" state for a process
which no longer exists, filling /var/log/messages with useless messages every
10s (sleep)

Expected Results:  The resume process should finish properly.

Additional info:

I have a very simple patch for anybody interested.
Comment 1 Bill Nottingham 2003-05-19 16:15:53 EDT
Sure, send it along.
Comment 2 Bill Nottingham 2005-02-02 17:51:31 EST
Closing out bugs on older unsupported releases. Apologies for any lack
of response. Please reopen if it persists on current releases such as
Fedora Core 3.

(Patch was not attached.)

Note You need to log in before you can comment on or make changes to this bug.